package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.memcached.MemCacheManager;
import java.util.Map;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/LoadOpDataFromMemcacheAction.class */
public class LoadOpDataFromMemcacheAction extends LifeAction {
    public static final TranFailException EXCEPTION_INVALID_DYNOPDATA = new TranFailException("EBLN0006", "载入动态数据失败");
    public static final TranFailException EXCEPTION_INVALID_UNFORMATDATA = new TranFailException("EBLN0004", "动态数据解包失败");

    public String execute(Context context) throws GENEException {
        MemCacheManager memCacheManager = new MemCacheManager();
        try {
            Map cacheFields = (Map) memCacheManager.get("flowOpKcollId");
            if (cacheFields != null) {
                for (String fieldName : cacheFields.keySet()) {
                    Object obj = cacheFields.get(fieldName);
                    context.put(fieldName, obj);
                }
            } else {
                Trace.logWarning("LifeAction", "got no any element in LoadOpDataFromMemcacheAction");
            }
            memCacheManager.remove("flowOpKcollId");
            return "0";
        } catch (Throwable th) {
            memCacheManager.remove("flowOpKcollId");
            throw th;
        }
    }
}
